package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the ResultInfo entity interface here
 */
public interface IResultInfo extends IEntity {

	
	/**
	 * Set the ResultCodeId
	 *
	 * @param resultCodeId
	 * @throws PropertyValidationException
	 */
	public void setResultCodeId(String resultCodeId) throws PropertyValidationException;
	
	/**
	 * Get the ResultCodeId
	 *
	 * @return resultCodeId
	 */
	public String getResultCodeId();
	
	
	/**
	 * Set the ResultMsg
	 *
	 * @param resultMsg
	 * @throws PropertyValidationException
	 */
	public void setResultMsg(String resultMsg) throws PropertyValidationException;
	
	/**
	 * Get the ResultMsg
	 *
	 * @return resultMsg
	 */
	public String getResultMsg();
	
	
	/**
	 * Set the ResultStatus
	 *
	 * @param resultStatus
	 * @throws PropertyValidationException
	 */
	public void setResultStatus(String resultStatus) throws PropertyValidationException;
	
	/**
	 * Get the ResultStatus
	 *
	 * @return resultStatus
	 */
	public String getResultStatus();
	
	
	/**
	 * Set the ResultCode
	 *
	 * @param resultCode
	 * @throws PropertyValidationException
	 */
	public void setResultCode(String resultCode) throws PropertyValidationException;
	
	/**
	 * Get the ResultCode
	 *
	 * @return resultCode
	 */
	public String getResultCode();
	
	
}
